Package org.eclipse.birt.report.engine.api

# Interface IParameterSelectionChoice

All Known Subinterfaces:
  `ICascadingParameterSelectionChoice`

public interface IParameterSelectionChoice
defines one choice in a parameter selction value list

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
returns the locale-specific label for a selection choice.
`Object`
`getValue()`
returns the value of the selection choice

## Method Details

### getValue

Object getValue()
returns the value of the selection choice

Returns:
  the value of the selction choice

### getLabel

String getLabel()
returns the locale-specific label for a selection choice. The locale used is the locale in the parameter definition request.

Returns:
  the localized label for the parameter